#!/bin/sh
# -*- coding: utf-8 -*-
########################################################################
#
# download-cs2.sh
# Elias Schwerdtfeger, http://www.tamagothi.de/
#
# Shellskript zum Herunterladen der deutschen CS2 vom Adobe-Server
# Dieses Skript erfordert lynx und wget.
#
# Ein abgebrochener Download kann fortgesetzt werden. Wget ist ein
# tolles Werkzeug. Falls es also zu lange dauert, einfach abbrechen
# und später weitermachen.
#
# Die Stellen, an denen eine Anpassung nötig sein kann, sind mit dem
# Präfix EDIT: im Kommentar gekennzeichnet. Das Suchen erledigt der
# freundliche Editor. ;)
#
# Wer mag, kann sich natürlich eine andere Sprachversion holen, indem
# er eine andere Downloadseite einträgt.
#
# Lizenziert unter Piratenlizenz:
# http://www.tamagothi.de/impressum/lizenz/
#
# Share and Enjoy!
#
########################################################################


# Konfiguration
# =============


# URL der Downloadseite, hier für die deutsche Version, nicht ändern
DOWNLOAD_URL='http://www.adobe.com/de/downloads/cs2_downloads/index.html'

# EDIT: Maximale Bandbreite für den Download
MAX_BANDWIDTH='600k'

# Namensmuster für die Windows-Dateien, nicht ändern!
WIN_FILES='\.(exe|pdf|zip|7z)$'

# Namensmuster für die Macintosh-Dateien, nicht ändern!
MAC_FILES='\.(bin|dmg|pdf)$'

# EDIT: Ersetze hier durch MAC_FILES für die Mac-Versionen
FILE_PATTERN="$WIN_FILES"

# EDIT: Ausgabeverzeichnis
OUTPUT_DIR='cs2-files'

# Ab hier muss nichts mehr angepasst werden
# =========================================

test -d "$OUTPUT_DIR" || mkdir "$OUTPUT_DIR"
test -f index.html && rm -f index.html

wget "$DOWNLOAD_URL"

lynx -listonly -dump -nonumbers index.html |
egrep -i "$FILE_PATTERN" |
wget -c --limit-rate="$MAX_BANDWIDTH" -P "$OUTPUT_DIR" -i -

lynx -dump index.html |
sed ' /^ *[0-9][0-9]*\./d
     s/\[[^]]*\]//g' > "$OUTPUT_DIR"/serials.txt
mv index.html "$OUTPUT_DIR"/serials.html